class CreateEcomModelStakeholders < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_model_stakeholders do |t|
      t.string :name, null: false, unique: true
      t.string :type_of_business
      t.string :address
      t.string :license_no
      t.string :tin_no
      t.string :contact_name, null: false
      t.string :contact_phone, null: false
      t.string :contact_email, null: false
      t.references :stakeholder_type, index: { name: 'em_stakeholders_on_type_indx' }

      t.timestamps
    end

    add_foreign_key :ecom_model_stakeholders, :ecom_model_stakeholder_types, column: :stakeholder_type_id
  end
end
