class CreateEcomModelProductTypes < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_model_product_types do |t|
      t.string :name, null: false
      t.references :work_product_template, index: { name: 'pt_on_wpt_indx' }
      t.json :dimension

      t.timestamps
    end

    add_index :ecom_model_product_types, %i[name work_product_template_id], unique: true, name: 'wpt_on_pt_name_indx'
    add_foreign_key :ecom_model_product_types, :ecom_model_work_product_templates, column: :work_product_template_id
  end
end
