class CreateEcomModelTasks < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_model_tasks do |t|
      t.string :code, null: false
      t.string :name, null: false
      t.string :description
      t.string :ancestry
      t.references :project, index: { name: 'tasks_on_project_indx' }
      t.references :task_template, index: { name: 'tt_on_project_indx' }

      t.timestamps
    end

    add_foreign_key :ecom_model_tasks, :ecom_model_projects, column: :project_id
    add_foreign_key :ecom_model_tasks, :ecom_model_task_templates, column: :task_template_id
  end
end
