class CreateTaskTemplatesResourceTypes < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_model_task_templates_resource_types, id: false do |t|
      t.references :task_template, index: false
      t.references :resource_type, index: false
    end

    add_index :ecom_model_task_templates_resource_types, %i[task_template_id resource_type_id],
              unique: true, name: 'ttr_on_tt_rt_indx'

    add_foreign_key :ecom_model_task_templates_resource_types, :ecom_model_task_templates,
                    column: :task_template_id
    add_foreign_key :ecom_model_task_templates_resource_types, :ecom_model_resource_types,
                    column: :resource_type_id
  end
end
