class CreateEcomModelUserRoles < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_model_user_roles do |t|
      t.string :name, index: false
      t.references :application_module, index: { name: 'ur_on_am_indx' }

      t.timestamps
    end
    add_index :ecom_model_user_roles, %i[name application_module_id], unique: true, name: 'am_name_indx'
    add_foreign_key :ecom_model_user_roles, :ecom_model_application_modules,
                    column: :application_module_id

    create_table :ecom_model_users_user_roles, id: false do |t|
      t.references :user, index: false
      t.references :user_role, index: false
    end

    add_index :ecom_model_users_user_roles, %i[user_id user_role_id], unique: true, name: 'users_user_roles_indx'
    add_foreign_key :ecom_model_users_user_roles, :ecom_model_users, column: :user_id
    add_foreign_key :ecom_model_users_user_roles, :ecom_model_user_roles, column: :user_role_id
  end
end
